package app.mar.game.challenges;

import android.app.Activity;

import org.json.JSONException;
import org.json.JSONObject;

import app.mar.game.Area;
import app.mar.game.Game;

public class QRCodeGeoTreasure extends QRCodeTreasure implements IGeoTreasure {
    protected Area mArea;


    public QRCodeGeoTreasure(Game g, JSONObject root, Activity a) {
        super(g, root, a);
        try
        {
            mArea = new Area(g, root.getJSONObject("area"), a);
        }
        catch(JSONException e)
        {
            e.printStackTrace();
        }
    }

    @Override
    public Area getArea() {
        return mArea;
    }
}
